package net.knarcraft.permissionsigns.command;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.Arrays;

/**
 * The main command for this plugin
 */
public class PermissionSignsCommand implements CommandExecutor {

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                             @NotNull String[] args) {
        if (args.length > 0) {
            if (args[0].equalsIgnoreCase("create")) {
                String[] subArgs = Arrays.copyOfRange(args, 1, args.length);
                return new CreateCommand().onCommand(sender, command, label, subArgs);
            } else if (args[0].equalsIgnoreCase("cancel")) {
                return new CancelCommand().onCommand(sender, command, label, args);
            } else if (args[0].equalsIgnoreCase("about")) {
                return new AboutCommand().onCommand(sender, command, label, args);
            } else if (args[0].equalsIgnoreCase("reload")) {
                return new ReloadCommand().onCommand(sender, command, label, args);
            }
        }
        return false;
    }

}
